Package com.sas.services.information.metadata

# Interface AuthorizationInheritanceInfoInterface

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `AuthorizationInheritanceInfo`

public interface AuthorizationInheritanceInfoInterface extends Remote
Interface methods to get attributes from an instance of AuthorizationInheritanceInfoInterface.

An AuthorizationInheritanceInfoInterface instance contains authorization inheritance information

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInheritanceRoleName()`
  Returns the association role name for this object from its direct "child".
  `List<String>`
  `getInheritanceRules()`
  Returns the List of Strings where each contains an Inheritance Rule (i.e. association to inheritance parent object) name value.
  `List<AuthorizationInheritanceInfoInterface>`
  `getNextLevelParents()`
  Returns the List of AuthorizationInheritanceInfoInterface instances at the next Level for this AuthorizationInheritanceInfoInterface
  `MetadataInterface`
  `getObject()`
  Returns the object for this inheritance instance
  `boolean`
  `HasDirectPermissions()`
  Returns true if this parent has permissions set directly on it
  `boolean`
  `HasNextLevelParents()`
  Returns true if this object has direct inheritance parent objects
  `boolean`
  `IsHidden()`
  Returns true if requester is not permitted to see the inheritance object represented by this instance

- ## Method Details

  - ### getInheritanceRules

    List<String> getInheritanceRules() throws RemoteException
    Returns the List of Strings where each contains an Inheritance Rule (i.e. association to inheritance parent object) name value.
    Returns:
      List<`String`>
    Throws:
      `RemoteException`

  - ### HasDirectPermissions

    boolean HasDirectPermissions() throws RemoteException
    Returns true if this parent has permissions set directly on it
    Returns:
      `boolean`
    Throws:
      `RemoteException`

  - ### HasNextLevelParents

    boolean HasNextLevelParents() throws RemoteException
    Returns true if this object has direct inheritance parent objects
    Returns:
      `boolean`
    Throws:
      `RemoteException`

  - ### IsHidden

    boolean IsHidden() throws RemoteException
    Returns true if requester is not permitted to see the inheritance object represented by this instance
    Returns:
      `boolean`
    Throws:
      `RemoteException`

  - ### getObject

    MetadataInterface getObject() throws RemoteException
    Returns the object for this inheritance instance
    Returns:
      `String` object
    Throws:
      `RemoteException`

  - ### getInheritanceRoleName

    String getInheritanceRoleName() throws RemoteException
    Returns the association role name for this object from its direct "child". The value will always match one of the rule strings on the list returned from calling getInheritanceRules() on the child object.
    Returns:
      `String` object
    Throws:
      `RemoteException`

  - ### getNextLevelParents

    List<AuthorizationInheritanceInfoInterface> getNextLevelParents() throws RemoteException
    Returns the List of AuthorizationInheritanceInfoInterface instances at the next Level for this AuthorizationInheritanceInfoInterface
    Returns:
      List<`AuthorizationInheritanceInfoInterface`>
    Throws:
      `RemoteException`